Twitter Following API - Get a User's Following
FetchLayer fetchlayer.dev Sign in

Fetch following list

Retrieve accounts followed by a user with basic profile metadata per account.

POST /following Network
https://api.fetchlayer.dev/twitter/following
OpenAPI JSON

Headers

Authorization string required

Bearer token — your FetchLayer API key.

Parameters

handle string required

Twitter handle without @.

count number optional

Number of accounts (max 100). (default: 25)

cursor string optional

Pagination cursor.

Response Fields

following

Fetch following list

users[].handle string

User handle.

users[].displayName string

Display name.

users[].description string

Bio text.

users[].isVerified boolean

Verification status.

users[].followersCount number

Follower count.

users[].avatarUrl string

Profile image URL.

cursor string

Pagination cursor.

Request

curl -X POST "https://api.fetchlayer.dev/twitter/following" \
  -H "Authorization: Bearer ss-your-key" \
  -H "Content-Type: application/json" \
  -d '{"handle":"sama","count":3}'

Response

{
  "users": [
    {
      "handle": "gdb",
      "displayName": "Greg Brockman",
      "description": "President & Co-Founder @OpenAI.",
      "isVerified": true,
      "followersCount": 1200000,
      "avatarUrl": "https://pbs.twimg.com/profile_images/gdb_normal.jpg"
    },
    {
      "handle": "miramurati",
      "displayName": "Mira Murati",
      "description": "CTO @OpenAI.",
      "isVerified": true,
      "followersCount": 450000,
      "avatarUrl": "https://pbs.twimg.com/profile_images/mira_normal.jpg"
    }
  ],
  "cursor": "DAABCgABF8zK9v__-Z2"
}